[Pkg-sysvinit-commits] r182 - sysvinit/trunk/debian/initscripts/etc/init.d

Thomas Hood jdthood-guest at costa.debian.org
Mon Nov 21 11:52:31 UTC 2005


Author: jdthood-guest
Date: 2005-11-21 11:52:31 +0000 (Mon, 21 Nov 2005)
New Revision: 182

Modified:
   sysvinit/trunk/debian/initscripts/etc/init.d/mountvirtfs
Log:
Remove old Miquel version comment; fix indentation

Modified: sysvinit/trunk/debian/initscripts/etc/init.d/mountvirtfs
===================================================================
--- sysvinit/trunk/debian/initscripts/etc/init.d/mountvirtfs	2005-11-21 11:45:27 UTC (rev 181)
+++ sysvinit/trunk/debian/initscripts/etc/init.d/mountvirtfs	2005-11-21 11:52:31 UTC (rev 182)
@@ -17,9 +17,6 @@
 #                    This functionality was previously provided by
 #                    mountkernfs from the glibc package.
 ### END INIT INFO
-#
-# Version:	@(#)mountvirtfs  2.85-23  29-Jul-2004  miquels
-#
 
 # Script needs to be robust and continue when parts fail,
 # so we're not setting the "-e" flag.
@@ -58,15 +55,15 @@
 	if [ "$1" = proc ]
 	then
 		case "$KERNEL" in
-			Linux|GNU)
-				TYPE=proc
-				;;
-			*FreeBSD)
-				TYPE=linprocfs
-				;;
-			*)
-				TYPE=procfs
-				;;
+		  Linux|GNU)
+			TYPE=proc
+			;;
+		  *FreeBSD)
+			TYPE=linprocfs
+			;;
+		  *)
+			TYPE=procfs
+			;;
 		esac
 	elif grep -E -qs "$1\$" /proc/filesystems
 	then
@@ -90,21 +87,21 @@
 		while read FDEV FDIR FTYPE FOPTS REST
 		do
 			case "$FDEV" in
-				""|\#*)
-					continue
-					;;
+			  ""|\#*)
+				continue
+				;;
 			esac
 			if [ "$3" != "$FDIR" ] || [ "$TYPE" != "$FTYPE" ]
 			then
 				continue
 			fi
 			case "$FOPTS" in
-				noauto|*,noauto|noauto,*|*,noauto,*)
-					return
-					;;
-				?*)
-					OPTS="-o$FOPTS"
-					;;
+			  noauto|*,noauto|noauto,*|*,noauto,*)
+				return
+				;;
+			  ?*)
+				OPTS="-o$FOPTS"
+				;;
 			esac
 			break
 		done
@@ -121,14 +118,14 @@
 		if [ -n "$DO_MTAB" ] &&
 		   ! grep -E -sq "^([^ ]+) +$3 +" /etc/mtab
 		then
-				mount -f -t $TYPE $OPTS $4 $TYPE $3
+			mount -f -t $TYPE $OPTS $4 $TYPE $3
 		fi
 	fi
 }
 do_start () {
 	#
-	#	If /etc/mtab is a symlink into /proc/ then we assume
-	#	it is not writable.
+	# If /etc/mtab is a symlink into /proc/ then we assume
+	# it is not writable.
 	#
 	DO_MTAB=
 	MOUNT_N=-n
@@ -168,10 +165,10 @@
 	if [ "$KERNEL" = Linux ]
 	then
 		#
-		#	Since kernel 2.5.something, devfs doesn't include
-		#	a standard /dev/pts directory anymore. So if devfs
-		#	is mounted on /dev we need to create that directory
-		#	manually.
+		# Since kernel 2.5.something, devfs doesn't include
+		# a standard /dev/pts directory anymore. So if devfs
+		# is mounted on /dev we need to create that directory
+		# manually.
 		#
 		if grep -qs '/dev devfs' /proc/mounts
 		then
@@ -237,17 +234,18 @@
 }
 
 case "$1" in
-    start)
-        do_start
-        ;;
-    restart|reload|force-reload)
-        echo "Error: argument '$1' not supported" >&2
-        exit 3
-        ;;
-    stop)
-        ;;
-    *)
-        echo "Usage: $0 start|stop" >&2
-        exit 3
-        ;;
+  start)
+	do_start
+	;;
+  restart|reload|force-reload)
+	echo "Error: argument '$1' not supported" >&2
+	exit 3
+	;;
+  stop)
+	# No-op
+	;;
+  *)
+	echo "Usage: $0 start|stop" >&2
+	exit 3
+	;;
 esac




More information about the Pkg-sysvinit-commits mailing list